/*
Theme Name: Crafto Child
Theme URI: https://crafto.themezaa.com/
Author: ThemeZaa
Author URI: https://www.themezaa.com/
Description: Child theme for Crafto theme
Requires at least: 6.4
Tested up to: 6.8
Requires PHP: 8.0
Version: 1.0
License: Themeforest Split Licence
License URI: https://themeforest.net/licenses/
Text Domain: crafto-child
Tags: one-column, two-columns, three-columns, left-sidebar, right-sidebar, grid-layout, custom-background, custom-colors, flexible-header, custom-menu, editor-style, featured-images, post-formats, sticky-post, theme-options, threaded-comments, translation-ready, blog, e-commerce
Template: crafto
*/

/* css class per schermi superiori a 2560px */
/*
.crafto-page-layout {
    max-width: 2560px;
    margin: 0 auto !important;
    box-shadow: 0 0 0 1px rgba(0,0,0,0.06); 
}
*/

@import url('https://fonts.googleapis.com/css2?family=Montserrat+Alternates:wght@400;500;600;700&display=swap');

/* Necessario per Lenis */
html.lenis, html.lenis body {
  height: auto;
}

.lenis.lenis-smooth {
  scroll-behavior: auto !important;
}

.lenis.lenis-smooth [data-lenis-prevent] {
  overscroll-behavior: contain;
}

.lenis.lenis-stopped {
  overflow: hidden;
}

.lenis.lenis-scrolling iframe {
  pointer-events: none;
}


/* TYPOGRAPHY */

/* normal size */
.title-eow .crafto-primary-title {
    font-family: "erotique", sans-serif !important;

    font-size: clamp(
        26px,
        calc(26px + (14 * ((100vw - 992px) / 928))),
        40px
    ) !important;

    line-height: 1.3 !important;

    letter-spacing: 0.5px !important;
    font-weight: bold !important;

    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    text-rendering: optimizeLegibility;
}


/* over image: è applicata ma la commento perchè non serve più per lo scopo originario
.title-eow.over-image .crafto-primary-title {
    line-height: 1.4 !important;
    padding: 0 .25em;
  
    -webkit-box-decoration-break: clone;
    box-decoration-break: clone;
}
*/

/* small size */
.title-eow.small .crafto-primary-title {
    font-family: "erotique",sans-serif !important;
    font-size: 30px !important;
    line-height: 36px !important;
    letter-spacing: 0.5px !important;
    font-weight: bold !important;

    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    text-rendering: optimizeLegibility;    
}

/* big size */
.title-eow.big .crafto-primary-title {
    font-family: "erotique",sans-serif !important;
    /*
    1920px+ -> 70px
    1366px -> ~55px
    992px -> ~42px
    768px -> ~36px
    390px -> ~30px
    320px -> ~28px
    */
    font-size: clamp(
        28px,
        calc(28px + (42 * ((100vw - 320px) / 1600))),
        70px
    ) !important;

    line-height: 1.1 !important;
    letter-spacing: 0.5px !important;
    font-weight: bold !important;

    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    text-rendering: optimizeLegibility;
}


.text-base-color {
    color: #533c29 !important;
}


/* HEADER */

body.home .navbar-brand .default-logo,
body.home .navbar-brand .alt-logo {
    display:  none; /* il logo è dentro al revolution slider */
}


.navbar-brand .default-logo,
.navbar-brand .alt-logo {
    max-width: 251px !important;
    height: auto !important;
}

/* MENU */

li.current-page-ancestor a {
    color: #FFFFFF99 !important;
}

.menu-footer li.current-page-ancestor a {
    color: #533c29 !important;
}

/* SELETTORE LINGUA PER WPML DROPDOWN CUSTOM */

/* Container del selettore */
.custom-wpml-dropdown {
    position: relative;
    display: inline-block;
    cursor: pointer;
    padding: 10px;
    z-index: 999;
}

/* Bandiera corrente */
.custom-wpml-dropdown .current-lang {
    display: flex;
    align-items: center;
    gap: 5px;
}

.custom-wpml-dropdown .current-lang img, 
.custom-wpml-dropdown .lang-list img {
    width: auto; /* Larghezza bandiera */
    height: 14px;
}

/* Lista nascosta di default */
.custom-wpml-dropdown .lang-list {
    position: absolute;
    top: 100%;
    left: 0;
    background: #fbe5d4;
    box-shadow: 0 5px 15px rgba(0,0,0,0.1);
    list-style: none;
    margin: 0;
    padding: 5px 0;
    display: none; /* Nascosto */
    min-width: 40px;
}

.custom-wpml-dropdown .lang-list li {
    padding: 5px 10px;
    text-align: center;
}

.custom-wpml-dropdown .lang-list li:hover {
    background-color: #f5e1d1;
}

/* Mostra al passaggio del mouse */
.custom-wpml-dropdown:hover .lang-list {
    display: block;
}

/* Icona freccetta (se usi Feather Icons del template) */
.custom-wpml-dropdown .current-lang i {
    font-size: 12px;
    color: #fff;
}


/* BACK TO TOP */

.scroll-progress .scroll-text {
	font-size: 15px;
	margin-right: 4px;
}


/* BANDA EU */

.banda-eu-footer-container {
    z-index: 150 !important;
}

.container-loghi {
    height: 100px;
}

.container-loghi .contenitore-loghi-left img {
    height: 60px;
    width: auto;
    margin-right: 30px;
}

.container-loghi .contenitore-loghi-left .banda-eu-consorzio-logo img {
    height: 50px;
}   

.container-loghi .contenitore-loghi-right img {
    height: 160px;
    width: auto;
}

/*
Viewport	Font
1366px	8.5px
1600px	10px
1920px	12px
2560px	13.5px
*/

.container-disclaimer .elementor-widget-container {
    line-height: 1 !important;
}

.container-disclaimer .crafto-primary-title {

    font-size: clamp(
        7.5px,
        calc(8.5px + (3.5 * ((100vw - 1366px) / 554))),
        13.5px
    ) !important;

    line-height: 1.4 !important;

}


/* INDEX */

/* slider */

.logo-rev-slider {
    left: 50% !important;
    top: 5% !important;
    transform: translateX(-50%) !important;
}

.icon-button.text-base-color {
    border: 2px solid #533c29 !important;
}

#SR7_1_1[data-current="2"] .hebe_copy46.sr7-rightarrow .tp-title-wrap {
	background: #9caa51 !important; /* verde */
}


#SR7_1_1[data-current="2"] .hebe_copy46.sr7-arrows::before {
	color: #9caa51 !important;
}

/* blocco progetto */

.scopri-il-progetto-cta .crafto-primary-title span:not(.separator) {
    color: #fff !important;
    opacity: 0.5 !important;
}

/* blocco organizzazioni */

.container-index-organizzazioni {
    overflow: visible;
}

.container-index-organizzazioni .carousel-over-section {
    margin-bottom: -120px;
    z-index:2;
    position:relative;
}

/* blocco news CUSTOM */

/*
.index-news-heading-container {
    overflow: visible !important;
}
*/

.blog-slider-eow-custom .blog-post-style-1 {
  padding: 0px;
}

.blog-slider-eow-custom  .blog-post-style-1 .blog-post-slider .blog-box {
    position: relative;
    border-radius: 0px;
}

.blog-slider-eow-custom .blog-post-style-1.blog-post-slider-wrapper .blog-post-images {
	width: 100%;
    aspect-ratio: 16 / 9;
    min-height: auto;
}

.blog-slider-eow-custom .blog-post-style-1.blog-post-slider-wrapper .blog-box .post-details {
	position: absolute;
    bottom: 0;
    right: 0;
	z-index: 1;
	width: 50%;
    padding: 5%;
}

.blog-slider-eow-custom .swiper .elementor-swiper-button.elementor-swiper-button-next{
	right: inherit;
	transform: translate(-100%, -100%);
	margin-bottom: 1px;
	left: 50%;
}


.blog-slider-eow-custom .swiper .elementor-swiper-button.elementor-swiper-button-prev {
    right: inherit;
    top: inherit;
    bottom: 0;
    left: 50%;
    transform: translate(-100%, 0);
}

/* ORGANIZZAZIONI INTRO - PRODOTTI INTRO */

.pin-section {
    /* Forza il browser a usare la scheda video per il rendering */
    transform-origin: center center;
    backface-visibility: hidden;
    -webkit-font-smoothing: antialiased;
    
    /* Evita che il contenuto interno "sotto" provi a scrollare */
    overflow: hidden; 
    
    /* Importante per evitare scatti visivi durante il scale/opacity */
    will-change: transform, opacity;
}


/* ORGANIZZAZIONI: CONSORZIO ABRUZZO E CADILLAC */

/* no heading, rimuovere margin-top PER SICUREZZA */
body.page-id-5063 .crafto-main-content-wrap,
body.page-id-5358 .crafto-main-content-wrap,
body.page-id-7289 .crafto-main-content-wrap,
body.page-id-7307 .crafto-main-content-wrap, 
body.page-id-7788 .crafto-main-content-wrap,
body.page-id-7809 .crafto-main-content-wrap {
    margin-top: 0px !important;
}

.container-img-heading {
    overflow:  hidden;
}

.img-heading img {
    width: 100%;
    height: 600px !important;
    aspect-ratio: 32/15;
    object-fit: cover;
    object-position: center center;
    display: block;
}

.numeri-territorio-descrizione .text-editor {
    height: 150px;
    margin-bottom: 15%;
}

.numeri-abruzzo .numeri-territorio-descrizione .text-editor {
    height: 75px;
    margin-bottom: 15%;
}

.numeri-territorio-dato .crafto-heading {
    height: 69px;
}

.numeri-territorio-dato {
    font-size: 3.438rem;
    font-weight: 600;
    line-height: 3.7rem;
    letter-spacing: -0.5px;
}

.numeri-territorio-dato span:not(.crafto-primary-title) {
    font-size: 2rem;
}


/* PRODOTTI: VINI ABRUZZO E CADILLAC */

/* no heading, rimuovere margin-top PER SICUREZZA */
body.page-id-5418 .crafto-main-content-wrap,
body.page-id-5704 .crafto-main-content-wrap,
body.page-id-7359 .crafto-main-content-wrap, 
body.page-id-7387 .crafto-main-content-wrap,
body.page-id-7850 .crafto-main-content-wrap,
body.page-id-7861 .crafto-main-content-wrap {
    margin-top: 0px !important;
}

/* classe inserita via script js - plugin */
small.tab-subtitle {
    display: block;
}

/* separatore con icona uva */
.section-separator{
    border-top: 2px solid #9bab3f;
}

.contenitore-vino-dopo-separatore {
    margin-top: -40px !important;
}


.numeri-vino-dato .text-editor {
    height: 52px;
}

.numeri-vino-dato .crafto-heading {
   height: auto;
}

.numeri-vino-dato {
    font-size: 2.5rem;
    font-weight: 600;
    line-height: 2.8rem;
    letter-spacing: -0.5px;
}

.numeri-vino-dato span:not(.crafto-primary-title) {
    font-size: 1.3rem;
}



/* NEWS ED EVENTI */

body:not(.rtl) .grid-filter li:first-child span, 
body:not(.rtl) .blog-grid-filter li:first-child span {
	margin-left: 20px !important;
}

body:not(.rtl) .grid-filter li:last-child span, 
body:not(.rtl) .blog-grid-filter li:last-child span {
	margin-right: 20px !important;
}

.blog-grid-filter > li {
    border-left: 1px solid #533c29;
    padding-top: 10px;
    padding-bottom: 10px;
}

.blog-grid-filter > li:last-child {
    border-right: 1px solid #533c29;
}

/* Disattiva il click e cambia il cursore per i link delle categorie */
.blog-category a {
    pointer-events: none; 
    cursor: default;     
    text-decoration: none; 
    color: inherit;      
}


/* categoria */

body.archive.category {
    background-color: #FCEBDB;
    background-image: url("https://bio-wines.eu/eow/wp-content/uploads/2026/06/eow-dotted-pattern-ok.svg");
}


/* POST */

body.post-template-default .crafto-single-post-categories {
    display: none;
}

/* MEDIA */

/* Contenitore principale */
.stack-wrapper {
    position: relative;
    overflow: visible !important;
    padding-bottom: 5vh; 
}

/* Stile base delle card */
.stack-section {
    position: relative;
    width: 100%;
    background: #fff;
    min-height: 60vh !important;
    
    /* Pulizia margini per il pinning */
    margin-left: 0 !important;
    margin-right: 0 !important;
    margin-bottom: 40px !important;
    
    /* Ottimizzazioni performance */
    will-change: transform, opacity;
    backface-visibility: hidden;
    -webkit-font-smoothing: antialiased;
    transition: none !important; 
    
    /* Ombra per percepire il distacco */
    box-shadow: 0 -5px 30px rgba(0,0,0,0.08);
}


/* Mobile: reset margini se non vuoi l'effetto stack */
@media (max-width: 1024px) {
    .stack-section {
        margin-top: 20px !important;
        min-height: auto !important; /* Torna alla dimensione naturale */
    }
}

/* AREA DOWNLOAD - PRESS */

.blog-only-text .post-details {
	padding: 15% 10%;
}

.blog-only-text .post-count {
	font-size: 120px;
	line-height: 120px;
	letter-spacing: -5px;
	font-family: 'Montserrat Alternates', sans-serif;
    color: #FCEBDB !important;
    opacity: 1;

}

.blog-only-text .blog-category a {
    border-radius: 0px !important;
} 

.blog-only-text .entry-content {
    max-width: 230px;
} 

.blog-only-text .blog-post:hover .post-count {
	opacity: 0.5;
}

.blog-only-text .blog-post:hover .entry-content {
	color: #fff;
}

.blog-only-text .blog-post:hover .blog-category a {
    border: 1px solid #fff !important;
}


/* Rendiamo l'intero box .blog-post cliccabile */
.blog-only-text .blog-post {
    position: relative; /* Contenitore per il link espanso */
    transition: all 0.3s ease-in-out;
}

/* Effetto hover opzionale sull'intero box */
.blog-only-text .blog-post:hover {
    box-shadow: 0 10px 30px rgba(0,0,0,0.1);
    transform: translateY(-3px);
}

/* Espansione del link del titolo su tutto il box */
.blog-only-text .blog-post a.entry-title::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 10; /* Copre immagine e dettagli */
}

/* Permettiamo al link della categoria di restare cliccabile sopra il resto (opzionale) */
/* Se vuoi che cliccando sulla categoria si vada all'archivio, altrimenti vedi nota sotto */
.blog-only-text .blog-post .blog-category {
    position: relative;
    z-index: 11;
}

/* Se vuoi che la categoria NON sia cliccabile affatto (come discusso prima) */
.blog-only-text .blog-post .blog-category a {
    pointer-events: none;
}


/* RESPONSIVE MEDIA QUERIES */



/* WRAPPER SITO E COMPORTAMENTO SLIDER PER SCHERMI 4K */
@media (min-width: 2561px) {
    
    .crafto-main-content-wrap {
        max-width: 2560px !important;
        margin: 0 auto;
        box-shadow: 
        -10px 0 18px -16px rgba(160, 150, 130, 0.35),
        10px 0 18px -16px rgba(160, 150, 130, 0.35);

        overflow: hidden;
    }

    .footer-main-wrapper {
        max-width: 2560px !important;
        margin: 0 auto;
        box-shadow: 
        -10px 0 18px -16px rgba(160, 150, 130, 0.35),
        10px 0 18px -16px rgba(160, 150, 130, 0.35);
    }

    /* INDEX */

    /* slider */
    sr7-module,
    sr7-content {
        max-width: 2560px !important;
        max-height: 1144px !important;
        left: 50% !important;
        transform: translateX(-50%) !important;
    }

    /* riposizionare freccie, numeri e logo dandogli una classe css se si visualizzano male */


}


/* QHD / ultrawide / 1440p compresi */
@media (min-width: 1921px) and (max-width: 2560px) {  

    /* ORGANIZZAZIONI: CONSORZIO ABRUZZO E CADILLAC */
    .img-heading img {
        height: 800px !important;
    }   

    .container-img-consorzio-descrizione-2 .elementor-widget-container {
        margin-left: -28vw !important;
    }
    
}


@media (max-width: 1919.98px) {
    
    /* SLIDER HOME */

    .slider-number {
        display: none !important;
    }

}



@media (max-width: 1199.98px) {

     /* BANDA EU */

    .container-loghi {
        height: 60px;
    }

    .container-loghi .contenitore-loghi-left img {
        height: 40px;
        width: auto;
        margin-right: 20px;
    }

    .container-loghi .contenitore-loghi-left .banda-eu-consorzio-logo img {
        height: 30px;
    }    

    .container-loghi .contenitore-loghi-right img {
        height: 130px;
        width: auto;
    }

}


@media (max-width: 991.98px) {

    .hide-mobile {
        display: none !important;
    }
  
    /* MENU */

    .hamburger-menu-wrapper .crafto-navigation-wrapper .crafto-navigation-link li a .submenu-icon-content {
        width: 100% !important;
        text-align: center !important;
    }

    /* SELETTORE LINGUA PER WPML DROPDOWN CUSTOM */

    /* Icona freccetta (se usi Feather Icons del template) */
    .custom-wpml-dropdown .current-lang i {
        color: #533c29 !important;
    }

    /* BANDA EU */

    .banda-eu-slider-index-container {
        bottom: -60px !important; /* il paginatore del Rev Slider viene posizionato in basso, la barra lo copre */
    }

    .container-loghi {
        height: 60px;
    }

    .container-loghi .contenitore-loghi-left img {
        height: 30px;
        width: auto;
        margin-right: 10px;
    }

    .container-loghi .contenitore-loghi-left .banda-eu-consorzio-logo img {
        height: 20px;
    }    


    .container-loghi .contenitore-loghi-right img {
        height: 90px;
        width: auto;
    }

    /* le organizzazioni -> ODG des Premières Côtes de Bordeaux et Cadillac */

    .odg-contenitore-fondazione-anno {
        right: auto !important;
        left: 0 !important;
    }


    .odg-contenitore-chi-e-img-2 {
        right: auto !important;
        left: 0 !important;
    }


}

/* responsive breakpoint slider home per tablet e mobile con cambio paginazione in basso */
@media (max-width: 777px) {

        /* banda EU */
        .banda-eu-slider-index-container .container-disclaimer {
            display:  none;
        }    

        /* Revolution Slider homepage */
        .eu-logo-foglia-slider {
            left: 50% !important;
            transform: translateX(-50%) !important;
            margin-bottom: 5% !important;
            margin-left: 0 !important;
        }

}


@media (max-width: 767.98px) {


    /* blog slider homepage */
    .blog-slider-eow-custom .blog-post-style-1.blog-post-slider-wrapper .blog-box .post-details {
        position: relative !important;
        width: 100% !important;
        aspect-ratio: 16 / 9 !important;
        min-height: auto !important;
    }

    .blog-slider-eow-custom .swiper .elementor-swiper-button.elementor-swiper-button-next {
        right: 0;
        top: 40%;
        transform: translateY(-40%);
        left: auto;
    }

    .blog-slider-eow-custom .swiper .elementor-swiper-button.elementor-swiper-button-prev {
        left: 0;
        top: 40%;
        transform: translateY(-40%);
        right: auto;
    }

    /* NEWS ED EVENTI */

    body:not(.rtl) .grid-filter li:first-child span, 
    body:not(.rtl) .blog-grid-filter li:first-child span {
        margin-left: 0px !important;
    }

    body:not(.rtl) .grid-filter li:last-child span, 
    body:not(.rtl) .blog-grid-filter li:last-child span {
        margin-right: 0px !important;
    }

    .blog-grid-filter > li {
        border-left: 0px solid #533c29;
        padding-top: 5px;
        padding-bottom: 5px;
    }

    .blog-grid-filter > li:last-child {
        border-right: 0px solid #533c29;
    }



}



@media (max-width: 575px) {


    .img-heading img {
        width: 100%;
        height: 300px !important;
        aspect-ratio: 16/9;
        object-fit: cover;
        object-position: center center;
        display: block;
    }

    
     /* BANDA EU */

    .banda-eu-slider-index-container {
        bottom: -50px !important; /* il paginatore del Rev Slider viene posizionato in basso, la barra lo copre */
    }

    .container-loghi {
        height: auto;
    }

    .container-loghi .contenitore-loghi-left img {
        height: 25px;
        width: auto;
        margin-right: 10px;
    }

    .container-loghi .contenitore-loghi-left .banda-eu-consorzio-logo img {
        height: 18px;
    }    


    .container-loghi .contenitore-loghi-right img {
        height: 75px;
        width: auto;
    }

    /* le organizzazioni -> ODG des Premières Côtes de Bordeaux et Cadillac */

    .odg-contenitore-chi-e-img-2 {
        right: auto !important;
        left: 20px !important;
    }    


}
  